/**************************************************************
  (C) 1997 by Achim Kaiser

  You may distribute under the terms of the GNU General Public
  License as specified in the COPYING file.
**************************************************************/

#ifndef GLOBAL_H
#define GLOBAL_H

#include <Xlib.h>

#define NORMAL 0
#define DETAIL 1
#define STRUCTURE 2

void SetTimer(long i);
long GetTimer();

void SetCursors(Cursor a,Cursor b);
Cursor GetNormCursor();
Cursor GetWaitCursor();

char* GetFontName();
void SetFontName(char* name);

void SetShowHidden(int i);
int GetShowHidden();

void SetIsDesktop(int i);
int GetIsDesktop();

void SetKindOfWindow(int kind);
int GetKindOfWindow();

void SetDisplay(Display *display);
Display *GetDisplay();

Window GetDetailWindow();
void SetDetailWindow(Window window);

Window GetWindow();
void SetWindow(Window window);

Window GetMoveWindow();
void SetMoveWindow(Window window);

char *GetWindowName();
void SetWindowName(char *name);

int IsSubDesktop();

char* GetPath();
void SetPath(char *path);

#endif
